groff-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[groff] 02/04: [tests]: Regression-test Savannah #60782.


From: G. Branden Robinson
Subject: [groff] 02/04: [tests]: Regression-test Savannah #60782.
Date: Mon, 27 Jun 2022 16:49:43 -0400 (EDT)

gbranden pushed a commit to branch master
in repository groff.

commit 87774cd7400c6ac79cddc6611dcf403a2ea46cb4
Author: G. Branden Robinson <g.branden.robinson@gmail.com>
AuthorDate: Wed Jun 22 20:41:40 2022 -0500

    [tests]: Regression-test Savannah #60782.
    
    * src/roff/groff/tests/ab_works.sh: Add regression test for Savannah
      #60782.
    
    Test fails at this commit.
---
 ChangeLog                        |  5 +++++
 src/roff/groff/tests/ab_works.sh | 18 ++++++++++++++----
 2 files changed, 19 insertions(+), 4 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index 3dc1e909..bffe5d5b 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+2022-06-22  G. Branden Robinson <g.branden.robinson@gmail.com>
+
+       * src/roff/groff/tests/ab_works.sh: Add regression test for
+       Savannah #60782.
+
 2022-06-22  G. Branden Robinson <g.branden.robinson@gmail.com>
 
        [troff]: Trivially refactor.
diff --git a/src/roff/groff/tests/ab_works.sh b/src/roff/groff/tests/ab_works.sh
index 73fbdbe5..d0439475 100755
--- a/src/roff/groff/tests/ab_works.sh
+++ b/src/roff/groff/tests/ab_works.sh
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# Copyright (C) 2021 Free Software Foundation, Inc.
+# Copyright (C) 2021-2022 Free Software Foundation, Inc.
 #
 # This file is part of groff.
 #
@@ -20,9 +20,17 @@
 
 groff="${abs_top_builddir:-.}/test-groff"
 
-echo "verifying exit status of .ab request" >&2
-printf '.ab\n' | "$groff" -Tascii
-test $? -eq 1 || exit 1
+# Verify exit status and regression-test Savannah #60782.
+#
+# We don't test the the X11 devices because groff launches an X client,
+# which has to be killed.  Using "-z" to avoid this masks the bug.
+
+for d in ascii cp1047 dvi html latin1 lbp lj4 pdf ps utf8
+do
+  echo "verifying exit status of .ab request using $d device" >&2
+  printf '.ab\n' | "$groff" -T$d
+  test $? -eq 1 || exit 1
+done
 
 echo "verifying empty output of .ab request with no arguments" >&2
 OUT=$(printf '.ab\n' | "$groff" -Tascii 2>&1)
@@ -31,3 +39,5 @@ test "$OUT" = "" || exit 1
 echo "verifying that arguments to .ab request go to stderr" >&2
 OUT=$(printf '.ab foo\n' | "$groff" -Tascii 2>&1 > /dev/null)
 test "$OUT" = "foo" || exit 1
+
+# vim:set autoindent expandtab shiftwidth=2 tabstop=2 textwidth=72:



reply via email to

[Prev in Thread] Current Thread [Next in Thread]